/********************************************************************************
 * Copyright (c) 2021-2024 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

#include "Conversion/OscToNode/{{filename}}.h"

#include <memory>

#include {{node.children(ChildType.MODEL)[0].include('Conversion/OscToNode/Parse')}}

namespace {{ ose_namespace }}
{
yase::BehaviorNode::Ptr parse({{ node.this.type }} {{ util.local(node.this) }})
{
    return {{ util.local(node.this) }} ? parse({{ util.local(node.this) }}->Get{{node.children(ChildType.MODEL)[0].name}}()) : nullptr;
}

} // namespace {{ ose_namespace }}
